%global commit 6f41ce026005dab1129685f31bce9b85e62fd41f
%global shortcommit %(c=%{commit}; echo ${c:0:9})

%global libuv 1.12.0
%global luajit 2.0.5
%global luarocks 2.4.2
%global luv 1.9.1-1
%global msgpack 2.1.3
%global unibilium 1.2.0

Name:           neovim
Version:        0.2.2
Release:        0.git%{shortcommit}%{?dist}
Epoch:          1

License:        ASL 2.0
Summary:        Vim-fork focused on extensibility and agility
URL:            http://neovim.io

Patch0:         neovim.patch
Source0:        https://github.com/neovim/neovim/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        https://github.com/libuv/libuv/archive/v1.12.0/libuv-1.12.0.tar.gz
Source2:        https://github.com/LuaJIT/LuaJIT/archive/v2.0.5/luajit-2.0.5.tar.gz
Source3:        https://github.com/keplerproject/luarocks/archive/v2.4.2/luarocks-2.4.2.tar.gz
Source4:        https://github.com/luvit/luv/archive/1.9.1-1/luv-1.9.1-1.tar.gz
Source5:        https://github.com/msgpack/msgpack-c/archive/cpp-2.1.3/msgpack-2.1.3.tar.gz
Source6:        https://github.com/mauke/unibilium/archive/v1.2.0/unibilium-1.2.0.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  git-core
BuildRequires:  gperf
Requires:       gperf
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  unzip
BuildRequires:  jemalloc-devel
BuildRequires:  libtermkey-devel
BuildRequires:  libvterm-devel
%if 0%{?fedora} > 24 || 0%{?rhel} > 7
BuildRequires:  libuv-devel
%endif
%if 0%{?fedora} > 22 || 0%{?rhel} > 7
BuildRequires:  msgpack-devel
%endif
%if 0%{?fedora} > 23 || 0%{?rhel} > 7
BuildRequires:  unibilium-devel
%endif

%if 0%{?fedora} <= 24 && 0%{?rhel} <= 7
Provides:       bundled(libuv) = 1.12.0
%endif
Provides:       bundled(luajit) = 2.0.5
Provides:       bundled(luarocks) = 2.4.2
Provides:       bundled(luv) = 1.9.1-1
%if 0%{?fedora} <= 22 && 0%{?rhel} <= 7
Provides:       bundled(msgpack) = 2.1.3
%endif
%if 0%{?fedora} <= 23 && 0%{?rhel} <= 7
Provides:       bundled(unibilium) = 1.2.0
%endif

# Bundled licenses:
# libuv:        Node
# luajit:       MIT
# luarocks:     MIT
# luv:          Apache
# msgpack:      ASL 2.0
# unibilium:    {L}GPLv3+


%description
Neovim is a refactor - and sometimes redactor - in the tradition of
Vim, which itself derives from Stevie. It is not a rewrite, but a
continuation and extension of Vim. Many rewrites, clones, emulators
and imitators exist; some are very clever, but none are Vim. Neovim
strives to be a superset of Vim, notwithstanding some intentionally
removed misfeatures; excepting those few and carefully-considered
excisions, Neovim is Vim. It is built for users who want the good
parts of Vim, without compromise, and more.


%prep
%setup -q -T -b 0 -n %{name}-%{version}-%{shortcommit}
%patch0 -p1
mkdir -p .deps/build/src
cd .deps/build/src
mkdir libuv luajit luarocks luv msgpack unibilium
opts='--strip-components=1 -xof -'
%if 0%{?fedora} <= 24 && 0%{?rhel} <= 7
(cd libuv; gzip -dc ../../../../../../SOURCES/libuv-1.12.0.tar.gz | tar $opts)
%endif
(cd luajit; gzip -dc ../../../../../../SOURCES/luajit-2.0.5.tar.gz | tar $opts)
(cd luarocks; gzip -dc ../../../../../../SOURCES/luarocks-2.4.2.tar.gz | tar $opts)
(cd luv; gzip -dc ../../../../../../SOURCES/luv-1.9.1-1.tar.gz | tar $opts)
%if 0%{?fedora} <= 22 && 0%{?rhel} <= 7
(cd msgpack; gzip -dc ../../../../../../SOURCES/msgpack-2.1.3.tar.gz | tar $opts)
%endif
%if 0%{?fedora} <= 23 && 0%{?rhel} <= 7
(cd unibilium; gzip -dc ../../../../../../SOURCES/unibilium-1.2.0.tar.gz | tar $opts)
%endif
cd ../../..


%build
cd .deps
opts='-O2 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=1'
cmake ../third-party -DCMAKE_BUILD_TYPE=RelWithDebInfo \
            -DCMAKE_C_FLAGS_RELWITHDEBINFO="$opts" \
            -DUSE_BUNDLED_BUSTED=OFF \
            -DUSE_BUNDLED_GPERF=OFF \
            -DUSE_BUNDLED_JEMALLOC=OFF \
            -DUSE_BUNDLED_LIBTERMKEY=OFF \
%if 0%{?fedora} > 24 || 0%{?rhel} > 7
            -DUSE_BUNDLED_LIBUV=OFF \
%endif
            -DUSE_BUNDLED_LIBVTERM=OFF \
%if 0%{?fedora} > 22 || 0%{?rhel} > 7
            -DUSE_BUNDLED_MSGPACK=OFF \
%endif
%if 0%{?fedora} > 23 || 0%{?rhel} > 7
            -DUSE_BUNDLED_UNIBILIUM=OFF \
%endif
            -DUSE_EXISTING_SRC_DIR=ON
make %{?_smp_mflags}
cd ..

mkdir -p build
cd build
cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo \
            -DCMAKE_C_FLAGS_RELWITHDEBINFO="$opts" \
            -DENABLE_JEMALLOC=ON \
            -DCMAKE_INSTALL_PREFIX:PATH=/usr
make %{?_smp_mflags}
cd ..


%install
cd build
make install DESTDIR=%{buildroot}
cd ..
%find_lang nvim


#%check
#%if "%{?commit}" == ""
#LC_ALL=C make test
#%endif


%files -f nvim.lang
%defattr(-,root,root)
%doc README.md
%docdir /usr/share/man
%license LICENSE
%{_bindir}/nvim
%{_datadir}/nvim/runtime/*
/usr/share/applications
/usr/share/pixmaps
/usr/share/man


%changelog
* Sun Dec 10 2017 David Personette <dperson@gmail.com> - 0.2.2-1.git54b79f1
- update libuv, luajit, luarocks, and msgpack versions
- patch luarocks build issue
- snapshot @ 54b79f19d7c63e5a7673264665d95dac335ede2c

* Sun Jan 08 2017 David Personette <dperson@gmail.com> - 0.1.7-2.git2a366b6
- update luv version
- snapshot @ 2a366b674aa572e7cbdef257c5597cf62c9a6f5f

* Sun Nov 27 2016 David Personette <dperson@gmail.com> - 0.1.7-1.git9956bee
- fix build issue
- snapshot @ 9956beee248bef39385449e134879cb864a5a7eb

* Wed Nov 09 2016 David Personette <dperson@gmail.com> - 0.1.6-2.git0213e99
- try to fix build issue
- snapshot @ 0213e99aaf6eba303fd459183dd14a4a11cc5b07

* Mon Oct 24 2016 David Personette <dperson@gmail.com> - 0.1.6-1.git6143cfd
- snapshot @ 6143cfdeec4e67cdf73879b92fe2a80b5b36bc1b

* Mon Oct 24 2016 David Personette <dperson@gmail.com> - 0.1.5-4.gitf96dfae
- update libuv and luarocks versions
- snapshot @ f96dfae52fe5ec211f6cfdf539882f2d10806374

* Fri Sep 16 2016 David Personette <dperson@gmail.com> - 0.1.5-3.git6e9f329
- update luarocks version
- snapshot @ 6e9f329d051cf6bf6d83dbe5335f86a1752ec45a

* Mon Aug 29 2016 David Personette <dperson@gmail.com> - 0.1.5-2.git7fd7716
- snapshot @ 7fd771619f2a2e2fe6007aaa6aa9a02cbdd205bd

* Mon Aug 22 2016 David Personette <dperson@gmail.com> - 0.1.5-1.git2f2e729
- snapshot @ 2f2e729899f388bfcda89893a645620058c26520
- remove patch in prep, as it's been merged upstream

* Sun Aug 14 2016 David Personette <dperson@gmail.com> - 0.1.4-19.git884b37f
- paramaterize bundled library versions
- update bundled luv version
- snapshot @ 884b37fd2adda17fbcc2392ae871e6999b758895

* Sat Aug 06 2016 David Personette <dperson@gmail.com> - 0.1.4-18.git64013a5
- snapshot @ 64013a5debe7ae92c8044dfd18faf8f8385dd66d

* Sun Jul 24 2016 David Personette <dperson@gmail.com> - 0.1.4-17.git2bb4c43
- snapshot @ 2bb4c43f2faf043f828cf98c1354ab3a2b380fa4
- unbundle libtermkey, libvterm, and unibilium

* Sun Jul 24 2016 David Personette <dperson@gmail.com> - 0.1.4-16.git8c1fb99
- snapshot @ 8c1fb99d2d4058d2cc1decbfed89b1f73b38cef6

* Sun Jul 17 2016 David Personette <dperson@gmail.com> - 0.1.4-15.git291c3c6
- fix issue not finding platform libuv / libuv-devel
- snapshot @ 291c3c6ff3eadd26e364787600fd4606cb5b1f40

* Sun Jul 17 2016 David Personette <dperson@gmail.com> - 0.1.4-14.git7fa1baf
- snapshot @ 7fa1baf44e7877b7b6b861c7140b006d4cee79f3

* Sun Jul 10 2016 David Personette <dperson@gmail.com> - 0.1.4-13.gitdcbd1c7
- snapshot @ dcbd1c7b13e98766754c4e75d3bb59021248217e

* Sun Jul 03 2016 David Personette <dperson@gmail.com> - 0.1.4-12.gita535868
- unbundle libuv (where possible)
- update libtermkey, libuv, libvterm, lua, luarocks, luv, and msgpack

* Sun Jul 03 2016 David Personette <dperson@gmail.com> - 0.1.4-11.gita535868
- unbundle jemalloc and msgpack (where possible)

* Sun Jul 03 2016 David Personette <dperson@gmail.com> - 0.1.4-10.gita535868
- snapshot @ a5358688bc91b2d72bf4eddea7938003d1fcde93

* Sun Jun 26 2016 David Personette <dperson@gmail.com> - 0.1.4-9.gite906111
- snapshot @ e9061117a5b8f195c3f26a5cb94e18ddd7752d86

* Mon Jun 13 2016 David Personette <dperson@gmail.com> - 0.1.4-8.git20447ba
- snapshot @ 20447ba0983a29537ae9d8df435fdf0f412c4258
- include the bundled source archives in the srpm

* Sat Jun 11 2016 David Personette <dperson@gmail.com> - 0.1.4-7.gite7ab3e7
- snapshot @ e7ab3e7e591c739688bef99e3855b3ef232cdb66

* Sun Jun 05 2016 David Personette <dperson@gmail.com> - 0.1.4-6.gitd97a97d
- snapshot @ d97a97d7e8be3e5db4bc32f65b6b334cc594ee7c

* Sat May 28 2016 David Personette <dperson@gmail.com> - 0.1.4-5.git48e945e
- snapshot @ 48e945e588c1f32b0ae358d674f033328e2696c6

* Mon May 23 2016 David Personette <dperson@gmail.com> - 0.1.4-4.git176f223
- snapshot @ 176f223ea3d1e8fb5716d5c2c0f09bead4864d59

* Sat May 14 2016 David Personette <dperson@gmail.com> - 0.1.4-3.gitd02cfe8
- snapshot @ d02cfe80618bb85cc1cc4a19a9cfc69ae64b98af
- clean up build requirements and build steps

* Sat May 07 2016 David Personette <dperson@gmail.com> - 0.1.4-2.gitf4979d3
- snapshot @ f4979d368c0079288a11e8ec014cf81ad8f6bbba

* Sun May 01 2016 David Personette <dperson@gmail.com> - 0.1.4-1.git121987c
- snapshot @ 121987c5cce8417591fed64179c8f93d0055b43e
- add the luv bundled library

* Sun Apr 10 2016 David Personette <dperson@gmail.com> - 0.1.3-1.git91c5005
- snapshot @ 91c5005da82e6f9ab6bb2f46b27cb82b188b0391
- drop ninja as a build requirement, it's no longer being used

* Sun Mar 27 2016 David Personette <dperson@gmail.com> - 0.1.2-5.gitae68609
- snapshot @ ae686092f807adbbb578b8ae2c2200654f9df8c1

* Mon Mar 21 2016 David Personette <dperson@gmail.com> - 0.1.2-4.git2e2b575
- snapshot @ 2e2b5759cf806b5ca1d4e94316d40acb17878ae2

* Sun Mar 13 2016 David Personette <dperson@gmail.com> - 0.1.2-3.gite7a9c00
- snapshot @ e7a9c006e15d99b4a276822d5f0f50b8cc2f6fb5

* Sat Mar 05 2016 David Personette <dperson@gmail.com> - 0.1.2-2.git0e9f7a7
- snapshot @ 0e9f7a7b36901842d9cdbe8cd00db47b74ab799b
- update versions for libuv and libvterm

* Sun Feb 21 2016 David Personette <dperson@gmail.com> - 0.1.2-1.gitfc51f86
- snapshot @ fc51f86b727bb3bd8e65b8a0bab0548a90582269

* Sun Feb 07 2016 David Personette <dperson@gmail.com> - 0.1.1-7.git827e267
- snapshot @ 827e267800417b8fdd1340d54f5dc5fa9d81bb92

* Sat Jan 30 2016 David Personette <dperson@gmail.com> - 0.1.1-6.git8f22031
- snapshot @ 8f22031708b351ec5bb73952e6afc39b07a72ae2

* Tue Jan 12 2016 David Personette <dperson@gmail.com> - 0.1.1-5.git7497dbe
- snapshot @ 7497dbee16fa8a452d12a9134e58526c255813bc

* Sun Dec 27 2015 David Personette <dperson@gmail.com> - 0.1.1-4.git6ee58e6
- snapshot @ 6ee58e67cbefb6538a20bae5fbe381c21bf99569

* Mon Dec 21 2015 David Personette <dperson@gmail.com> - 0.1.1-3.git376b973
- snapshot @ 376b973a0ae77243acdc15d1c786ea1f40aeb8a4

* Tue Dec 15 2015 David Personette <dperson@gmail.com> - 0.1.1-2.git1946f96
- snapshot @ 1946f96a16be42be3478c76585a25f08babb38df

* Wed Dec 09 2015 David Personette <dperson@gmail.com> - 0.1.1-1.git6d583f8
- snapshot @ 6d583f85875499fbe05b549a1c0ac57b9ededd3d

* Sat Nov 21 2015 David Personette <dperson@gmail.com> - 0.1.0-2.git1fbb567
- snapshot @ 1fbb56795d16783f9a97e25e3b71ab3ac2a644dc

* Fri Nov 06 2015 David Personette <dperson@gmail.com> - 0.1.0-1.git9499432
- snapshot @ 9499432d7fb1a96c5faf42c6ce538dbf4f7a9463

* Fri Oct 30 2015 David Personette <dperson@gmail.com> - 0.0.0-73.git4abf108
- snapshot @ 4abf108f4639af1c35bc0554a069d878a50fcea0

* Mon Oct 26 2015 David Personette <dperson@gmail.com> - 0.0.0-72.git29d64a9
- snapshot @ 29d64a901df6eff436b100374b2a240eea1906d9

* Tue Oct 20 2015 David Personette <dperson@gmail.com> - 0.0.0-71.gite38cbb9
- snapshot @ e38cbb93670272d0da15c60222a123b88ec55002
- update versions for libuv, unibilium, libtermkey, and jemalloc
- update build steps, and build requirements

* Wed Aug 12 2015 David Personette <dperson@gmail.com> - 0.0.0-70.gita6c6128
- snapshot @ a6c612868186278ca8428a8dfaa4064954a920c1

* Sun Jul 26 2015 David Personette <dperson@gmail.com> - 0.0.0-69.git7a6bf3f
- snapshot @ 7a6bf3f418c5ad94ac2ac71f21275a87d08e87b9

* Sun Jul 19 2015 David Personette <dperson@gmail.com> - 0.0.0-68.git5fdaac4
- snapshot @ fb0ebb2a3a220a2e744efabed82beb08d88e158d

* Sat Jul 11 2015 David Personette <dperson@gmail.com> - 0.0.0-67.git5fdaac4
- snapshot @ 5fdaac45a60cb555579fd2f10fad7e52c67ae042

* Sun Jul 05 2015 David Personette <dperson@gmail.com> - 0.0.0-66.git5305338
- snapshot @ 53053381674b1cca4c60c3657f31ea05fd935278

* Sun May 31 2015 David Personette <dperson@gmail.com> - 0.0.0-65.git28ad7b5
- snapshot @ 7dc241ac782e3a469d73d5f9a7baeba4e6107333
- update versions for luarocks

* Tue May 26 2015 David Personette <dperson@gmail.com> - 0.0.0-64.git28ad7b5
- snapshot @ 5a9ad68b258f33ebd7fa0a5da47b308f50f1e5e7
- update versions for luajit and unibilium
- add /usr/share/man to spec

* Sun May 17 2015 David Personette <dperson@gmail.com> - 0.0.0-63.git28ad7b5
- snapshot @ d9acfbd471403a4f11ad050665633d3311a462d9
- update version for libuv

* Sun May 03 2015 David Personette <dperson@gmail.com> - 0.0.0-62.git28ad7b5
- snapshot @ 28ad7b5026d731a832bf60ba4c497c9e3d97e9ff

* Sun Apr 26 2015 David Personette <dperson@gmail.com> - 0.0.0-61.git1a636ea
- snapshot @ 1a636eabd555c3631348bae8291dbb7974523310

* Sun Apr 19 2015 David Personette <dperson@gmail.com> - 0.0.0-60.git119a3f2
- snapshot @ 639504894610361198447ddaaa557b4877136682
- Add bundled jemalloc

* Sat Apr 11 2015 David Personette <dperson@gmail.com> - 0.0.0-59.git119a3f2
- snapshot @ e584fe00570a522154ce856581006644e766f88f

* Wed Apr 01 2015 David Personette <dperson@gmail.com> - 0.0.0-58.git119a3f2
- snapshot @ 119a3f2485e057b05ca46fc40e59f1434913d488
- Add bundled libvterm

* Sun Feb 22 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-57.git3e29231
- snapshot @ 3e292316846708dfc1153d55fbd5f012c2da8a35

* Sat Feb 21 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-56.gitc48f835
- snapshot @ c48f835749913f48267ed3b389bdd333e19e6dc4

* Sat Feb 21 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-55.git486d2e9
- snapshot @ 486d2e944dffb30d97d65c88bbcc77f6fd1208f6

* Fri Feb 20 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-54.git03dd211
- snapshot @ 03dd2114a78f513c362ccc5ec4de700f11a2db0e

* Thu Feb 19 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-53.gitb1d079c
- snapshot @ b1d079c83b3dd459114d1ba7c2ff1b07a9ee3e9e

* Wed Feb 18 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-52.git366662d
- snapshot @ 366662d932551e558d10f09887ddf144ed5db34b
- Add git tarball generator script.

* Tue Feb 17 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-51.gitfd636fc
- snapshot @ 66a03a7385dfd11503d22d8cc9dc6a972e27dcc2

* Mon Feb 16 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-50.gitfd636fc
- snapshot @ fd636fc6dcd8a547daab1544432877bf8efa0c1e

* Sun Feb 15 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-49.git6e99287
- snapshot @ 6e992876ea043fe7fe748d5da5e3b511b60d06a5

* Thu Feb 12 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-48.gitec2c299
- snapshot @ ec2c2994e6e5ca79ed21d0c6d7176c2f065a17cc

* Wed Feb 11 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-47.git5976251
- snapshot @ 5976251bb91a7d3967cf268f0eeed1f5d756ba7a

* Tue Feb 10 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-46.gitec5e945
- snapshot @ ec5e94518e8e631e4deced07cb5127d305b24d27
- Update rev of bundled msgpack-c (https://github.com/neovim/neovim/pull/1900)

* Mon Feb 09 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-45.gitb0fb7ea
- snapshot @ b0fb7ea19d4f102bd86c34cfa2ac62754712bd0a
- Build with clang.

* Sat Feb 07 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-44.git28dcfcf
- snapshot @ 28dcfcf325d222ae311bf972997c92bc1efd3e8f

* Wed Feb 04 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-43.git7751cd2
- Use license macro

* Tue Feb 03 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-42.git7751cd2
- snapshot @ 7751cd21f5ae8952f578a0ccd892e32c95a4ae8a

* Sat Jan 31 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-41.git6196cab
- snapshot @ 6196cab139b52cd412c198f38626ec7f7688995e

* Fri Jan 30 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-40.git41fe3cb
- snapshot @ 41fe3cb196b78d6570555c4f21b04969357a4199

* Thu Jan 29 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-39.git9023f62
- snapshot @ 9023f62707c47cd0dc9bbd711099faee0d93e3a6

* Tue Jan 27 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-38.git6bc8c7b
- snapshot @ 6bc8c7be3a808f66d2c47bfe463a1346490da7f4

* Mon Jan 26 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-37.gitd304642
- snapshot @ d30464264af2b5aa261281e221d936095dbab864

* Sat Jan 24 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-36.git65adcc2
- snapshot @ 65adcc269971b55418769a8eca8e49f3e0191e14

* Fri Jan 23 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-35.git641df7b
- snapshot @ 641df7be9cc8168399ea05d61f7009770880f28f

* Wed Jan 21 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-34.gitc3028e4
- snapshot @ c3028e435392a7b647f79be826c054ef76b0d577

* Mon Jan 19 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-33.git617c00b
- snapshot @ 617c00bd49c2bdb05c8ef31f94e206ba3f80f694

* Sun Jan 18 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-32.gitc7f4e55
- snapshot @ c7f4e553629f9ac667dee1e920b96c7c327380f6
- ^ Excuse to push a build through rawhide on copr.

* Sat Jan 17 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-31.gitbff48b2
- snapshot at bff48b23d700d6202e1c85564cd7fcb1b3ce4c34
- Add provides for bundled libs
- Add bundled licenses note

* Thu Jan 15 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-30.gita99d33a
- snapshot @ 5c6348e9995b0dde23a2de99263e9e0e3a72fcd2

* Tue Jan 13 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-29.gita99d33a
- snapshot @ a99d33ad9a6a81400a04712f769180ef700787b4

* Sat Jan 10 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-28.gita684cc1
- snapshot @ a684cc175a6c1ca2cfc3bff2d68383d32008cb3b

* Fri Jan 09 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-27.gitb16162b
- snapshot @ 515acf72247518ed34c5f76ce6fe007217cd94bb

* Fri Jan 09 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-26.gitb16162b
- snapshot @ b16162b00fa78ab2f3ef8a114d409213efcb578b

* Fri Jan 02 2015 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-25.git91b378d
- snapshot @ 91b378d349425d0ad435c06fc341de5aa2f7b5c9

* Wed Dec 31 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-24.gita31bcfb
- Misc:
- Clean-up, tidy-up, extra pick-ups from auto-br-rpmbuild

* Tue Dec 30 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-23.gita31bcfb
- Add git build dep, mock build.
- Drop specified no. of jobs for ninja.

* Tue Dec 30 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-22.gita31bcfb
- snapshot @ a31bcfb98afbe4d845911b4d90255c18769f197a

* Mon Dec 29 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-21.gitb229908
- snapshot @ b229908587928249f7ecc787615470c235dbfaf4

* Sat Dec 27 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-20.git4ff4b93
- snapshot @ 4ff4b9306d9ccd26c6e7c8e9b663788aa53d84ec

* Fri Dec 26 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-19.git7231a23
- Cleanups.

* Thu Dec 25 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-18.git7231a23
- snapshot @ 7231a23cf651f8d950f53d4537e650085a41fb66

* Wed Dec 24 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-17.git5998552
- snapshot @ 59985523b851fe61b62afcef69f4564f064cbc0a

* Tue Dec 23 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-16.gitc3de63b
- snapshot @ c3de63bfbc168cd8ccc53dbb3e587043c11f7276

* Sat Dec 20 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-15.git5fe519f
- snapshot @ 5fe519f78a790abbd15d24f05ce19bed22b07990

* Thu Dec 18 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-14.git1eef530
- snapshot @ 1eef5303514a8499fd376270bd89a40e2d3eafbb
- Adapt to upstream build changes

* Tue Dec 16 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-13.git3a61b84
- snapshot @ 3a61b84543c7cd843fe60d9ec4b356fb18f6a726

* Mon Dec 15 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-12.gitc63b736
- snapshot @ c63b736921d143354e3a7a607deafdb72c0ae8f9
- Back tp previous naming scheme, dnf changes caught me off-guard.

* Sun Dec 14 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0_20141213-1.git677a3f4
- snapshot @ 677a3f42c0f0821ddeed34728c8708fa4d0742cc
- Try better versioning.

* Wed Dec 10 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-11.git951d00
- snapshot @ 951d00a492c58449d3c241fa710a83051f45dcb7

* Sun Dec 07 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-10.gitc5b9e5
- snapshot @ c5b9e5d1d317b74d4adf7637cd9081be4ee52722
- bdep on libtool for libunibilium

* Sun Dec 07 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-9.gitfa9d44
- snapshot @ fa9d44374b84e6768142e8d3751fe215c14796c7

* Thu Dec 04 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-8.git81530e
- snapshot @ 81530e581615528bc4f57348ed92c46ca49a4657
- Bundled libuv now at 1.0.1, we can drop the dtrace patch.

* Wed Dec 03 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-7.gitcb86eca
- snapshot @ cb86eca91f9bdffe8b0214664169093d41902415

* Tue Dec 02 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-6.git8885118
- snapshot @ 888511862bc7b0850e2695e3edd46212dc78cc47

* Fri Nov 28 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-5.gitad848ce
- snapshot @ 3bbbeaf2c9658222f31c29bc0ab27b9f125fb27c

* Tue Nov 25 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-4.git3bbbeaf
- snapshot @ 3bbbeaf2c9658222f31c29bc0ab27b9f125fb27c

* Sun Nov 23 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-3.git4b89903
- snapshot @ 4b89903a22894c8f0847ed6c206f2dfcae60b4d1

* Thu Nov 20 2014 Ray Griffin <rorgoroth@openmailbox.org> - 0.0.0-2.git32ec851
- Update to newer snapshot
- Use bundled libs since some dont exist or are stable version
- Patch to fix libuv dtrace build error
- Use ninja as the builder
- Install runtime

* Wed Jul 09 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.0.0-1.git308953e
- Initial package
